package com.bonus.canteen.core.report.api.dto;

import java.time.LocalDate;

public class ReportDeviceOrderSumDTO {
   private LocalDate startDate;
   private LocalDate endDate;
   private Integer mealtimeType;
   private String machineSn;

   public LocalDate getStartDate() {
      return this.startDate;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public ReportDeviceOrderSumDTO setStartDate(final LocalDate startDate) {
      this.startDate = startDate;
      return this;
   }

   public ReportDeviceOrderSumDTO setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
      return this;
   }

   public ReportDeviceOrderSumDTO setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
      return this;
   }

   public ReportDeviceOrderSumDTO setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
      return this;
   }
}
